Bug 442827

Summary: Should clean up before starting
Product: [Fedora] Fedora Reporter: Jeremy Katz <katzj>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: apevec
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 484891 487858 (view as bug list) Environment:
Last Closed: 2008-05-28 14:54:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705, 487858    

Description Jeremy Katz 2008-04-16 22:52:36 EDT
udevd should probably clean up or at least ignore things from /dev/.udev/queue/
that are there from before it started to avoid long timeouts when we run udev in
the initrd and then kill it while preserving /dev (to allow the udevd from the
actual filesystem to run)

Encoding this sort of thing in the initrd's /init is almost certainly doomed to
failure down the line when udev changes implementation details of how it works.
Comment 1 Harald Hoyer 2008-05-06 06:38:02 EDT
* Tue May 06 2008 Harald Hoyer <harald@redhat.com> 120-5.20080421git
- remove /dev/.udev in start_udev (bug #442827)

http://koji.fedoraproject.org/koji/taskinfo?taskID=597426
Comment 2 Bug Zapper 2008-05-14 05:33:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping